#
# Module manifest for module 'Az.Network'
#
# Generated by: Microsoft Corporation
#
# Generated on: 06/29/2023
#

@{

# Script module or binary module file associated with this manifest.
RootModule = 'Az.Network.psm1'

# Version number of this module.
ModuleVersion = '6.1.0'

# Supported PSEditions
CompatiblePSEditions = 'Core', 'Desktop'

# ID used to uniquely identify this module
GUID = 'f554cfcd-9cbb-4021-b158-fe20f0497f82'

# Author of this module
Author = 'Microsoft Corporation'

# Company or vendor of this module
CompanyName = 'Microsoft Corporation'

# Copyright statement for this module
Copyright = 'Microsoft Corporation. All rights reserved.'

# Description of the functionality provided by this module
Description = 'Microsoft Azure PowerShell - Networking service cmdlets for Azure Resource Manager in Windows PowerShell and PowerShell Core.

For more information on Networking, please visit the following: https://learn.microsoft.com/azure/networking/networking-overview'

# Minimum version of the PowerShell engine required by this module
PowerShellVersion = '5.1'

# Name of the PowerShell host required by this module
# PowerShellHostName = ''

# Minimum version of the PowerShell host required by this module
# PowerShellHostVersion = ''

# Minimum version of Microsoft .NET Framework required by this module. This prerequisite is valid for the PowerShell Desktop edition only.
DotNetFrameworkVersion = '4.7.2'

# Minimum version of the common language runtime (CLR) required by this module. This prerequisite is valid for the PowerShell Desktop edition only.
# ClrVersion = ''

# Processor architecture (None, X86, Amd64) required by this module
# ProcessorArchitecture = ''

# Modules that must be imported into the global environment prior to importing this module
RequiredModules = @()

# Assemblies that must be loaded prior to importing this module
RequiredAssemblies = 'Microsoft.Azure.PowerShell.AutoMapper.dll', 
               'Microsoft.Azure.PowerShell.Network.Management.Sdk.dll'

# Script files (.ps1) that are run in the caller's environment prior to importing this module.
# ScriptsToProcess = @()

# Type files (.ps1xml) to be loaded when importing this module
# TypesToProcess = @()

# Format files (.ps1xml) to be loaded when importing this module
FormatsToProcess = 'Network.generated.format.ps1xml'

# Modules to import as nested modules of the module specified in RootModule/ModuleToProcess
NestedModules = @()

# Functions to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no functions to export.
FunctionsToExport = @()

# Cmdlets to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no cmdlets to export.
CmdletsToExport = 'Add-AzApplicationGatewayAuthenticationCertificate', 
               'Get-AzApplicationGatewayAuthenticationCertificate', 
               'New-AzApplicationGatewayAuthenticationCertificate', 
               'Remove-AzApplicationGatewayAuthenticationCertificate', 
               'Set-AzApplicationGatewayAuthenticationCertificate', 
               'Get-AzApplicationGatewayAutoscaleConfiguration', 
               'New-AzApplicationGatewayAutoscaleConfiguration', 
               'Remove-AzApplicationGatewayAutoscaleConfiguration', 
               'Set-AzApplicationGatewayAutoscaleConfiguration', 
               'Get-AzApplicationGatewayAvailableWafRuleSet', 
               'Get-AzApplicationGatewayWafDynamicManifest', 
               'Get-AzApplicationGatewayAvailableSslOption', 
               'Add-AzApplicationGatewayBackendAddressPool', 
               'Get-AzApplicationGatewayBackendAddressPool', 
               'New-AzApplicationGatewayBackendAddressPool', 
               'Remove-AzApplicationGatewayBackendAddressPool', 
               'Set-AzApplicationGatewayBackendAddressPool', 
               'Add-AzApplicationGatewayBackendHttpSetting', 
               'Get-AzApplicationGatewayBackendHttpSetting', 
               'New-AzApplicationGatewayBackendHttpSetting', 
               'Remove-AzApplicationGatewayBackendHttpSetting', 
               'Set-AzApplicationGatewayBackendHttpSetting', 
               'Get-AzApplicationGatewayConnectionDraining', 
               'New-AzApplicationGatewayConnectionDraining', 
               'Remove-AzApplicationGatewayConnectionDraining', 
               'Set-AzApplicationGatewayConnectionDraining', 
               'Get-AzApplicationGatewayWebApplicationFirewallConfiguration', 
               'New-AzApplicationGatewayWebApplicationFirewallConfiguration', 
               'Set-AzApplicationGatewayWebApplicationFirewallConfiguration', 
               'New-AzApplicationGatewayFirewallDisabledRuleGroupConfig', 
               'New-AzApplicationGatewayFirewallExclusionConfig', 
               'New-AzApplicationGatewayFirewallPolicyExclusionManagedRule', 
               'New-AzApplicationGatewayFirewallPolicyExclusionManagedRuleGroup', 
               'New-AzApplicationGatewayFirewallPolicyExclusionManagedRuleSet', 
               'New-AzApplicationGatewayFirewallCondition', 
               'New-AzApplicationGatewayFirewallCustomRule', 
               'New-AzApplicationGatewayFirewallCustomRuleGroupByUserSession', 
               'New-AzApplicationGatewayFirewallCustomRuleGroupByVariable', 
               'New-AzApplicationGatewayFirewallMatchVariable', 
               'New-AzApplicationGatewayFirewallPolicy', 
               'Get-AzApplicationGatewayFirewallPolicy', 
               'Remove-AzApplicationGatewayFirewallPolicy', 
               'Set-AzApplicationGatewayFirewallPolicy', 
               'New-AzApplicationGatewayFirewallPolicyExclusion', 
               'New-AzApplicationGatewayFirewallPolicyManagedRule', 
               'New-AzApplicationGatewayFirewallPolicyManagedRuleOverride', 
               'New-AzApplicationGatewayFirewallPolicyManagedRuleGroupOverride', 
               'New-AzApplicationGatewayFirewallPolicyManagedRuleSet', 
               'New-AzApplicationGatewayFirewallPolicySetting', 
               'New-AzApplicationGatewayFirewallPolicyLogScrubbingConfiguration', 
               'New-AzApplicationGatewayFirewallPolicyLogScrubbingRule', 
               'Add-AzApplicationGatewayFrontendIPConfig', 
               'Get-AzApplicationGatewayFrontendIPConfig', 
               'New-AzApplicationGatewayFrontendIPConfig', 
               'Remove-AzApplicationGatewayFrontendIPConfig', 
               'Set-AzApplicationGatewayFrontendIPConfig', 
               'Add-AzApplicationGatewayFrontendPort', 
               'Get-AzApplicationGatewayFrontendPort', 
               'New-AzApplicationGatewayFrontendPort', 
               'Remove-AzApplicationGatewayFrontendPort', 
               'Set-AzApplicationGatewayFrontendPort', 
               'Get-AzApplicationGatewayIdentity', 
               'New-AzApplicationGatewayIdentity', 
               'Remove-AzApplicationGatewayIdentity', 
               'Set-AzApplicationGatewayIdentity', 
               'Add-AzApplicationGatewayIPConfiguration', 
               'Get-AzApplicationGatewayIPConfiguration', 
               'New-AzApplicationGatewayIPConfiguration', 
               'Remove-AzApplicationGatewayIPConfiguration', 
               'Set-AzApplicationGatewayIPConfiguration', 
               'Get-AzApplicationGatewayBackendHealth', 'Get-AzApplicationGateway', 
               'Add-AzApplicationGatewayHttpListener', 
               'Get-AzApplicationGatewayHttpListener', 
               'New-AzApplicationGatewayHttpListener', 
               'Remove-AzApplicationGatewayHttpListener', 
               'Set-AzApplicationGatewayHttpListener', 'New-AzApplicationGateway', 
               'Add-AzApplicationGatewaySslProfile', 
               'Get-AzApplicationGatewaySslProfile', 
               'New-AzApplicationGatewaySslProfile', 
               'Remove-AzApplicationGatewaySslProfile', 
               'Set-AzApplicationGatewaySslProfile', 
               'New-AzApplicationGatewayCustomError', 
               'Add-AzApplicationGatewayCustomError', 
               'Get-AzApplicationGatewayCustomError', 
               'Remove-AzApplicationGatewayCustomError', 
               'Set-AzApplicationGatewayCustomError', 
               'Add-AzApplicationGatewayHttpListenerCustomError', 
               'Get-AzApplicationGatewayHttpListenerCustomError', 
               'Remove-AzApplicationGatewayHttpListenerCustomError', 
               'Set-AzApplicationGatewayHttpListenerCustomError', 
               'New-AzApplicationGatewayPathRuleConfig', 
               'Add-AzApplicationGatewayProbeConfig', 
               'Get-AzApplicationGatewayProbeConfig', 
               'New-AzApplicationGatewayProbeConfig', 
               'Remove-AzApplicationGatewayProbeConfig', 
               'Set-AzApplicationGatewayProbeConfig', 
               'New-AzApplicationGatewayProbeHealthResponseMatch', 
               'Remove-AzApplicationGateway', 
               'Add-AzApplicationGatewayRequestRoutingRule', 
               'Get-AzApplicationGatewayRequestRoutingRule', 
               'New-AzApplicationGatewayRequestRoutingRule', 
               'Remove-AzApplicationGatewayRequestRoutingRule', 
               'Set-AzApplicationGatewayRequestRoutingRule', 
               'Add-AzApplicationGatewayRewriteRuleSet', 
               'Get-AzApplicationGatewayRewriteRuleSet', 
               'New-AzApplicationGatewayRewriteRuleSet', 
               'Remove-AzApplicationGatewayRewriteRuleSet', 
               'Set-AzApplicationGatewayRewriteRuleSet', 
               'New-AzApplicationGatewayRewriteRule', 
               'New-AzApplicationGatewayRewriteRuleActionSet', 
               'New-AzApplicationGatewayRewriteRuleHeaderConfiguration', 
               'New-AzApplicationGatewayRewriteRuleUrlConfiguration', 
               'Get-AzApplicationGatewayAvailableServerVariableAndHeader', 
               'New-AzApplicationGatewayRewriteRuleCondition', 
               'Add-AzApplicationGatewayRedirectConfiguration', 
               'Get-AzApplicationGatewayRedirectConfiguration', 
               'New-AzApplicationGatewayRedirectConfiguration', 
               'Remove-AzApplicationGatewayRedirectConfiguration', 
               'Set-AzApplicationGatewayRedirectConfiguration', 
               'Set-AzApplicationGateway', 'Get-AzApplicationGatewaySku', 
               'New-AzApplicationGatewaySku', 'Set-AzApplicationGatewaySku', 
               'Add-AzApplicationGatewaySslCertificate', 
               'Get-AzApplicationGatewaySslCertificate', 
               'New-AzApplicationGatewaySslCertificate', 
               'Remove-AzApplicationGatewaySslCertificate', 
               'Set-AzApplicationGatewaySslCertificate', 
               'Get-AzApplicationGatewaySslPolicy', 
               'New-AzApplicationGatewaySslPolicy', 
               'Remove-AzApplicationGatewaySslPolicy', 
               'Set-AzApplicationGatewaySslPolicy', 
               'Get-AzApplicationGatewaySslProfilePolicy', 
               'Remove-AzApplicationGatewaySslProfilePolicy', 
               'Set-AzApplicationGatewaySslProfilePolicy', 
               'Get-AzApplicationGatewayClientAuthConfiguration', 
               'New-AzApplicationGatewayClientAuthConfiguration', 
               'Remove-AzApplicationGatewayClientAuthConfiguration', 
               'Set-AzApplicationGatewayClientAuthConfiguration', 
               'Get-AzApplicationGatewaySslPredefinedPolicy', 
               'Start-AzApplicationGateway', 'Stop-AzApplicationGateway', 
               'Add-AzApplicationGatewayTrustedRootCertificate', 
               'Get-AzApplicationGatewayTrustedRootCertificate', 
               'New-AzApplicationGatewayTrustedRootCertificate', 
               'Remove-AzApplicationGatewayTrustedRootCertificate', 
               'Set-AzApplicationGatewayTrustedRootCertificate', 
               'Add-AzApplicationGatewayTrustedClientCertificate', 
               'Get-AzApplicationGatewayTrustedClientCertificate', 
               'New-AzApplicationGatewayTrustedClientCertificate', 
               'Remove-AzApplicationGatewayTrustedClientCertificate', 
               'Set-AzApplicationGatewayTrustedClientCertificate', 
               'Add-AzApplicationGatewayUrlPathMapConfig', 
               'Get-AzApplicationGatewayUrlPathMapConfig', 
               'New-AzApplicationGatewayUrlPathMapConfig', 
               'Remove-AzApplicationGatewayUrlPathMapConfig', 
               'Set-AzApplicationGatewayUrlPathMapConfig', 
               'New-AzApplicationGatewayPrivateLinkConfiguration', 
               'Add-AzApplicationGatewayPrivateLinkConfiguration', 
               'Set-AzApplicationGatewayPrivateLinkConfiguration', 
               'Get-AzApplicationGatewayPrivateLinkConfiguration', 
               'Remove-AzApplicationGatewayPrivateLinkConfiguration', 
               'New-AzApplicationGatewayPrivateLinkIpConfiguration', 
               'Add-AzExpressRouteCircuitAuthorization', 
               'Get-AzExpressRouteCircuitAuthorization', 
               'New-AzExpressRouteCircuitAuthorization', 
               'Remove-AzExpressRouteCircuitAuthorization', 
               'Move-AzExpressRouteCircuit', 'Get-AzExpressRouteCircuitARPTable', 
               'Get-AzExpressRouteCircuitRouteTable', 
               'Get-AzExpressRouteCircuitRouteTableSummary', 
               'Get-AzExpressRouteCircuitStat', 
               'Add-AzLoadBalancerInboundNatPoolConfig', 
               'Get-AzLoadBalancerInboundNatPoolConfig', 
               'New-AzLoadBalancerInboundNatPoolConfig', 
               'Remove-AzLoadBalancerInboundNatPoolConfig', 
               'Set-AzLoadBalancerInboundNatPoolConfig', 
               'Get-AzExpressRouteCircuit', 'New-AzExpressRouteCircuit', 
               'Add-AzExpressRouteCircuitPeeringConfig', 
               'Get-AzExpressRouteCircuitPeeringConfig', 
               'New-AzExpressRouteCircuitPeeringConfig', 
               'Remove-AzExpressRouteCircuitPeeringConfig', 
               'Set-AzExpressRouteCircuitPeeringConfig', 
               'Remove-AzExpressRouteCircuit', 'Set-AzExpressRouteCircuit', 
               'Get-AzExpressRoutePort', 'New-AzExpressRoutePort', 
               'Get-AzExpressRoutePortLinkConfig', 'Remove-AzExpressRoutePort', 
               'Set-AzExpressRoutePort', 'Get-AzExpressRoutePortsLocation', 
               'Get-AzExpressRoutePortIdentity', 'New-AzExpressRoutePortIdentity', 
               'Remove-AzExpressRoutePortIdentity', 
               'Set-AzExpressRoutePortIdentity', 
               'Add-AzExpressRoutePortAuthorization', 
               'Get-AzExpressRoutePortAuthorization', 
               'Remove-AzExpressRoutePortAuthorization', 
               'Get-AzEffectiveNetworkSecurityGroup', 'Get-AzEffectiveRouteTable', 
               'Add-AzNetworkInterfaceIpConfig', 'Get-AzNetworkInterfaceIpConfig', 
               'New-AzNetworkInterfaceIpConfig', 
               'Remove-AzNetworkInterfaceIpConfig', 
               'Set-AzNetworkInterfaceIpConfig', 'New-AzNetworkWatcher', 
               'Get-AzNetworkWatcher', 'Remove-AzNetworkWatcher', 
               'New-AzNetworkWatcherPacketCapture', 
               'New-AzNetworkWatcherPacketCaptureV2', 
               'Get-AzNetworkWatcherPacketCapture', 
               'Stop-AzNetworkWatcherPacketCapture', 
               'Remove-AzNetworkWatcherPacketCapture', 
               'New-AzPacketCaptureFilterConfig', 'New-AzPacketCaptureScopeConfig', 
               'Get-AzNetworkWatcherTopology', 
               'Get-AzNetworkWatcherSecurityGroupView', 
               'Test-AzNetworkWatcherIPFlow', 'Get-AzNetworkWatcherNextHop', 
               'Start-AzNetworkWatcherResourceTroubleshooting', 
               'Get-AzNetworkWatcherTroubleshootingResult', 
               'Get-AzNetworkWatcherFlowLogStatus', 
               'Set-AzNetworkWatcherConfigFlowLog', 'New-AzNetworkWatcherFlowLog', 
               'Set-AzNetworkWatcherFlowLog', 'Get-AzNetworkWatcherFlowLog', 
               'Remove-AzNetworkWatcherFlowLog', 
               'Test-AzNetworkWatcherConnectivity', 
               'Get-AzNetworkWatcherReachabilityReport', 
               'Get-AzNetworkWatcherReachabilityProvidersList', 
               'New-AzNetworkWatcherConnectionMonitorEndpointObject', 
               'New-AzNetworkWatcherConnectionMonitorObject', 
               'New-AzNetworkWatcherConnectionMonitorEndpointScopeItemObject', 
               'New-AzNetworkWatcherConnectionMonitorTestConfigurationObject', 
               'New-AzNetworkWatcherConnectionMonitorTestGroupObject', 
               'New-AzNetworkWatcherConnectionMonitorOutputObject', 
               'New-AzNetworkWatcherConnectionMonitorProtocolConfigurationObject', 
               'New-AzNetworkWatcherConnectionMonitor', 
               'Set-AzNetworkWatcherConnectionMonitor', 
               'Start-AzNetworkWatcherConnectionMonitor', 
               'Stop-AzNetworkWatcherConnectionMonitor', 
               'Remove-AzNetworkWatcherConnectionMonitor', 
               'Get-AzNetworkWatcherConnectionMonitor', 
               'Get-AzNetworkWatcherConnectionMonitorReport', 
               'Invoke-AzNetworkWatcherNetworkConfigurationDiagnostic', 
               'New-AzNetworkWatcherNetworkConfigurationDiagnosticProfile', 
               'Get-AzExpressRouteServiceProvider', 
               'Test-AzPrivateIPAddressAvailability', 'Get-AzPublicIpAddress', 
               'New-AzPublicIpAddress', 'Remove-AzPublicIpAddress', 
               'Set-AzPublicIpAddress', 'Get-AzPublicIpPrefix', 
               'New-AzPublicIpPrefix', 'Remove-AzPublicIpPrefix', 
               'Set-AzPublicIpPrefix', 'Get-AzRouteTable', 'New-AzRouteTable', 
               'Remove-AzRouteTable', 'Add-AzRouteConfig', 'Get-AzRouteConfig', 
               'New-AzRouteConfig', 'Remove-AzRouteConfig', 'Set-AzRouteConfig', 
               'Set-AzRouteTable', 'New-AzRadiusServer', 
               'Set-AzVirtualNetworkGateway', 'Get-AzVirtualNetworkGateway', 
               'New-AzVirtualNetworkGateway', 
               'Get-AzVirtualNetworkGatewayVpnclientConnectionHealth', 
               'Get-AzVpnClientRootCertificate', 
               'Get-AzVpnClientRevokedCertificate', 
               'Add-AzVpnClientRootCertificate', 
               'Add-AzVpnClientRevokedCertificate', 
               'New-AzVpnClientRootCertificate', 
               'New-AzVpnClientRevokedCertificate', 
               'Resize-AzVirtualNetworkGateway', 
               'Remove-AzVpnClientRevokedCertificate', 
               'Remove-AzVpnClientRootCertificate', 'Get-AzVpnClientPackage', 
               'New-AzVpnClientConfiguration', 'Get-AzVpnClientConfiguration', 
               'New-AzVirtualNetworkGatewayIpConfig', 
               'Add-AzVirtualNetworkGatewayIpConfig', 
               'Remove-AzVirtualNetworkGatewayIpConfig', 
               'Remove-AzVirtualNetworkGateway', 'Reset-AzVirtualNetworkGateway', 
               'Set-AzVirtualNetworkGatewayDefaultSite', 
               'Remove-AzVirtualNetworkGatewayDefaultSite', 
               'New-AzVpnClientIpsecPolicy', 'New-AzVpnClientIpsecParameter', 
               'Set-AzVpnClientIpsecParameter', 'Get-AzVpnClientIpsecParameter', 
               'Remove-AzVpnClientIpsecParameter', 'Remove-AzLocalNetworkGateway', 
               'Get-AzLocalNetworkGateway', 'New-AzLocalNetworkGateway', 
               'Set-AzLocalNetworkGateway', 
               'Get-AzVirtualNetworkGatewayConnection', 
               'Get-AzVirtualNetworkGatewayConnectionIkeSa', 
               'Reset-AzVirtualNetworkGatewayConnection', 
               'Get-AzVirtualNetworkGatewayConnectionSharedKey', 
               'New-AzVirtualNetworkGatewayConnection', 
               'Remove-AzVirtualNetworkGatewayConnection', 
               'Reset-AzVirtualNetworkGatewayConnectionSharedKey', 
               'Set-AzVirtualNetworkGatewayConnectionSharedKey', 
               'Set-AzVirtualNetworkGatewayConnection', 'New-AzIpsecPolicy', 
               'New-AzIpsecTrafficSelectorPolicy', 
               'Get-AzLoadBalancerBackendAddressPool', 
               'New-AzLoadBalancerBackendAddressPool', 
               'Remove-AzLoadBalancerBackendAddressPool', 
               'Set-AzLoadBalancerBackendAddressPool', 
               'New-AzLoadBalancerBackendAddressPoolTunnelInterfaceConfig', 
               'New-AzLoadBalancerBackendAddressConfig', 
               'Get-AzLoadBalancerBackendAddressPoolConfig', 
               'Add-AzLoadBalancerBackendAddressPoolConfig', 
               'New-AzLoadBalancerBackendAddressPoolConfig', 
               'Remove-AzLoadBalancerBackendAddressPoolConfig', 
               'Get-AzLoadBalancerBackendAddressInboundNatRulePortMapping', 
               'Set-AzLoadBalancerFrontendIpConfig', 
               'Get-AzLoadBalancerFrontendIpConfig', 
               'Add-AzLoadBalancerFrontendIpConfig', 
               'New-AzLoadBalancerFrontendIpConfig', 
               'Remove-AzLoadBalancerFrontendIpConfig', 'Get-AzLoadBalancer', 
               'Set-AzLoadBalancerInboundNatRuleConfig', 
               'Get-AzLoadBalancerInboundNatRuleConfig', 
               'Add-AzLoadBalancerInboundNatRuleConfig', 
               'New-AzLoadBalancerInboundNatRuleConfig', 
               'Remove-AzLoadBalancerInboundNatRuleConfig', 
               'Get-AzBgpServiceCommunity', 'Get-AzRouteFilter', 'Set-AzRouteFilter', 
               'Remove-AzRouteFilter', 'New-AzRouteFilter', 
               'Get-AzRouteFilterRuleConfig', 'Add-AzRouteFilterRuleConfig', 
               'Remove-AzRouteFilterRuleConfig', 'Set-AzRouteFilterRuleConfig', 
               'New-AzRouteFilterRuleConfig', 'Set-AzLoadBalancerRuleConfig', 
               'Get-AzLoadBalancerRuleConfig', 'Add-AzLoadBalancerRuleConfig', 
               'New-AzLoadBalancerRuleConfig', 'Remove-AzLoadBalancerRuleConfig', 
               'New-AzLoadBalancer', 'Set-AzLoadBalancerProbeConfig', 
               'Get-AzLoadBalancerProbeConfig', 'Add-AzLoadBalancerProbeConfig', 
               'New-AzLoadBalancerProbeConfig', 'Remove-AzLoadBalancerProbeConfig', 
               'Remove-AzLoadBalancer', 'Set-AzLoadBalancer', 
               'Add-AzLoadBalancerOutboundRuleConfig', 
               'Get-AzLoadBalancerOutboundRuleConfig', 
               'New-AzLoadBalancerOutboundRuleConfig', 
               'Set-AzLoadBalancerOutboundRuleConfig', 
               'Remove-AzLoadBalancerOutboundRuleConfig', 
               'Remove-AzNetworkInterface', 'Get-AzNetworkInterface', 
               'New-AzNetworkInterface', 'Set-AzNetworkInterface', 
               'Get-AzNetworkSecurityGroup', 'New-AzNetworkSecurityRuleConfig', 
               'Get-AzNetworkSecurityRuleConfig', 
               'Remove-AzNetworkSecurityRuleConfig', 
               'Set-AzNetworkSecurityRuleConfig', 
               'Add-AzNetworkSecurityRuleConfig', 'New-AzNetworkSecurityGroup', 
               'Remove-AzNetworkSecurityGroup', 'Set-AzNetworkSecurityGroup', 
               'Test-AzDnsAvailability', 'Add-AzVirtualNetworkPeering', 
               'Get-AzVirtualNetworkPeering', 'Remove-AzVirtualNetworkPeering', 
               'Set-AzVirtualNetworkPeering', 'Sync-AzVirtualNetworkPeering', 
               'Remove-AzVirtualNetwork', 'Set-AzVirtualNetwork', 
               'Remove-AzVirtualNetworkSubnetConfig', 
               'Set-AzVirtualNetworkSubnetConfig', 
               'Get-AzVirtualNetworkSubnetConfig', 
               'Add-AzVirtualNetworkSubnetConfig', 
               'New-AzVirtualNetworkSubnetConfig', 'New-AzDelegation', 
               'Add-AzDelegation', 'Get-AzDelegation', 'Remove-AzDelegation', 
               'Get-AzAvailableServiceDelegation', 'Get-AzVirtualNetwork', 
               'New-AzVirtualNetwork', 'Get-AzVirtualNetworkGatewayBgpPeerStatus', 
               'Get-AzVirtualNetworkGatewayAdvertisedRoute', 
               'Get-AzVirtualNetworkGatewayLearnedRoute', 'Get-AzNetworkUsage', 
               'Get-AzVirtualNetworkUsageList', 
               'Get-AzVirtualNetworkAvailableEndpointService', 
               'Get-AzVirtualNetworkGatewaySupportedVpnDevice', 
               'Get-AzVirtualNetworkGatewayConnectionVpnDeviceConfigScript', 
               'New-AzApplicationSecurityGroup', 
               'Remove-AzApplicationSecurityGroup', 
               'Get-AzApplicationSecurityGroup', 'New-AzPublicIpTag', 
               'New-AzDdosProtectionPlan', 'Get-AzDdosProtectionPlan', 
               'Remove-AzDdosProtectionPlan', 
               'New-AzNetworkWatcherProtocolConfiguration', 
               'Add-AzExpressRouteCircuitConnectionConfig', 
               'Set-AzExpressRouteCircuitConnectionConfig', 
               'Get-AzExpressRouteCircuitConnectionConfig', 
               'Remove-AzExpressRouteCircuitConnectionConfig', 
               'New-AzServiceEndpointPolicy', 'Remove-AzServiceEndpointPolicy', 
               'Get-AzServiceEndpointPolicy', 
               'New-AzServiceEndpointPolicyDefinition', 
               'Remove-AzServiceEndpointPolicyDefinition', 
               'Get-AzServiceEndpointPolicyDefinition', 
               'Set-AzServiceEndpointPolicyDefinition', 
               'Add-AzServiceEndpointPolicyDefinition', 
               'Set-AzServiceEndpointPolicy', 'New-AzVirtualWan', 
               'Update-AzVirtualWan', 'Get-AzVirtualWan', 'Remove-AzVirtualWan', 
               'Get-AzVirtualWanVpnServerConfiguration', 
               'Get-AzVirtualWanVpnServerConfigurationVpnProfile', 
               'New-AzVirtualHub', 'Get-AzVirtualHub', 'Update-AzVirtualHub', 
               'Remove-AzVirtualHub', 'Set-AzVirtualHub', 'New-AzVirtualHubRoute', 
               'Add-AzVirtualHubRoute', 'New-AzVirtualHubRouteTable', 
               'Add-AzVirtualHubRouteTable', 'Get-AzVirtualHubRouteTable', 
               'Remove-AzVirtualHubRouteTable', 'New-AzRoutingPolicy', 
               'Get-AzVHubEffectiveRoute', 'Get-AzVHubInboundRoute', 
               'Get-AzVHubOutboundRoute', 
               'New-AzVirtualRouterAutoScaleConfiguration', 'Get-AzRoutingPolicy', 
               'Add-AzRoutingPolicy', 'Remove-AzRoutingPolicy', 
               'Set-AzRoutingPolicy', 'New-AzRoutingIntent', 'Get-AzRoutingIntent', 
               'Set-AzRoutingIntent', 'Get-AzRouteMap', 
               'New-AzRouteMapRuleCriterion', 'New-AzRouteMapRuleActionParameter', 
               'New-AzRouteMapRuleAction', 'New-AzRouteMapRule', 'New-AzRouteMap', 
               'Remove-AzRouteMap', 'Update-AzRouteMap', 'Remove-AzRoutingIntent', 
               'New-AzVpnGateway', 'Reset-AzVpnGateway', 'Get-AzVpnGateway', 
               'Update-AzVpnGateway', 'Remove-AzVpnGateway', 
               'Start-AzVpnGatewayPacketCapture', 'Stop-AzVpnGatewayPacketCapture', 
               'New-AzVpnGatewayNatRule', 'Update-AzVpnGatewayNatRule', 
               'Remove-AzVpnGatewayNatRule', 'Get-AzVpnGatewayNatRule', 
               'Start-AzVpnConnectionPacketCapture', 
               'Stop-AzVpnConnectionPacketCapture', 'New-AzVpnSite', 
               'New-AzVpnSiteLink', 'New-AzVpnSiteLinkConnection', 'Get-AzVpnSite', 
               'Reset-AzVpnSiteLinkConnection', 'Get-AzVpnSiteLinkConnectionIkeSa', 
               'Update-AzVpnSite', 'Remove-AzVpnSite', 'New-AzVpnConnection', 
               'Get-AzVpnConnection', 'Update-AzVpnConnection', 
               'Remove-AzVpnConnection', 'New-AzVirtualHubVnetConnection', 
               'Get-AzVirtualHubVnetConnection', 
               'Remove-AzVirtualHubVnetConnection', 
               'Update-AzVirtualHubVnetConnection', 'Get-AzVpnServerConfiguration', 
               'New-AzVpnServerConfiguration', 'Remove-AzVpnServerConfiguration', 
               'Update-AzVpnServerConfiguration', 
               'Get-AzVpnServerConfigurationPolicyGroup', 
               'New-AzVpnServerConfigurationPolicyGroup', 
               'Remove-AzVpnServerConfigurationPolicyGroup', 
               'Update-AzVpnServerConfigurationPolicyGroup', 'Get-AzP2sVpnGateway', 
               'Disconnect-AzP2sVpnGatewayVpnConnection', 
               'Get-AzP2sVpnGatewayConnectionHealth', 
               'Get-AzP2sVpnGatewayDetailedConnectionHealth', 
               'Get-AzP2sVpnGatewayVpnProfile', 'New-AzP2sVpnGateway', 
               'Remove-AzP2sVpnGateway', 'Update-AzP2sVpnGateway', 
               'Reset-AzP2sVpnGateway', 'Get-AzVirtualWanVpnConfiguration', 
               'Get-AzFirewall', 'Set-AzFirewall', 'New-AzFirewall', 
               'Remove-AzFirewall', 'New-AzFirewallApplicationRuleCollection', 
               'New-AzFirewallApplicationRule', 'New-AzFirewallNatRuleCollection', 
               'New-AzFirewallPolicyApplicationRuleCustomHttpHeader', 
               'New-AzFirewallNatRule', 'New-AzFirewallNetworkRuleCollection', 
               'New-AzFirewallNetworkRule', 'New-AzFirewallThreatIntelWhitelist', 
               'New-AzFirewallHubPublicIpAddress', 'New-AzFirewallHubIpAddress', 
               'New-AzFirewallPublicIpAddress', 'Get-AzFirewallFqdnTag', 
               'Get-AzNetworkProfile', 'New-AzNetworkProfile', 
               'Remove-AzNetworkProfile', 'Set-AzNetworkProfile', 
               'New-AzContainerNicConfig', 'New-AzContainerNicConfigIpConfig', 
               'Add-AzNetworkInterfaceTapConfig', 
               'Get-AzNetworkInterfaceTapConfig', 
               'Set-AzNetworkInterfaceTapConfig', 
               'Remove-AzNetworkInterfaceTapConfig', 'Get-AzVirtualNetworkTap', 
               'New-AzVirtualNetworkTap', 'Remove-AzVirtualNetworkTap', 
               'Set-AzVirtualNetworkTap', 'Get-AzExpressRouteGateway', 
               'New-AzExpressRouteGateway', 'Remove-AzExpressRouteGateway', 
               'Set-AzExpressRouteGateway', 'Get-AzExpressRouteConnection', 
               'New-AzExpressRouteConnection', 'Remove-AzExpressRouteConnection', 
               'Set-AzExpressRouteConnection', 'Get-AzExpressRouteCrossConnection', 
               'Set-AzExpressRouteCrossConnection', 
               'Add-AzExpressRouteCrossConnectionPeering', 
               'Get-AzExpressRouteCrossConnectionPeering', 
               'Remove-AzExpressRouteCrossConnectionPeering', 
               'Get-AzExpressRouteCrossConnectionArpTable', 
               'Get-AzExpressRouteCrossConnectionRouteTable', 
               'Get-AzExpressRouteCrossConnectionRouteTableSummary', 
               'Get-AzNatGateway', 'New-AzNatGateway', 'Remove-AzNatGateway', 
               'Set-AzNatGateway', 'Get-AzNetworkServiceTag', 
               'New-AzPrivateEndpoint', 'Get-AzPrivateEndpoint', 
               'Remove-AzPrivateEndpoint', 'New-AzPrivateLinkServiceConnection', 
               'New-AzPrivateDnsZoneConfig', 'Remove-AzPrivateDnsZoneGroup', 
               'Get-AzPrivateDnsZoneGroup', 'New-AzPrivateDnsZoneGroup', 
               'Set-AzPrivateDnsZoneGroup', 'New-AzPrivateLinkService', 
               'Get-AzPrivateLinkService', 'Remove-AzPrivateLinkService', 
               'New-AzPrivateLinkServiceIpConfig', 'Set-AzPrivateEndpoint', 
               'Set-AzPrivateLinkService', 'Set-AzPrivateEndpointConnection', 
               'Get-AzPrivateEndpointConnection', 
               'Remove-AzPrivateEndpointConnection', 
               'Get-AzAutoApprovedPrivateLinkService', 
               'Test-AzPrivateLinkServiceVisibility', 
               'Approve-AzPrivateEndpointConnection', 
               'Deny-AzPrivateEndpointConnection', 
               'Get-AzAvailablePrivateEndpointType', 'Get-AzAvailableServiceAlias', 
               'Get-AzPrivateLinkResource', 'New-AzBastion', 'Get-AzBastion', 
               'Remove-AzBastion', 'Set-AzBastion', 
               'Start-AzVirtualNetworkGatewayPacketCapture', 
               'Stop-AzVirtualNetworkGatewayPacketCapture', 
               'Start-AzVirtualNetworkGatewayConnectionPacketCapture', 
               'Stop-AzVirtualNetworkGatewayConnectionPacketCapture', 
               'Disconnect-AzVirtualNetworkGatewayVpnConnection', 
               'New-AzFirewallPolicyNetworkRule', 'New-AzFirewallPolicyNatRule', 
               'New-AzFirewallPolicyApplicationRule', 
               'New-AzFirewallPolicyNatRuleCollection', 
               'New-AzFirewallPolicyFilterRuleCollection', 
               'New-AzFirewallPolicyRuleCollectionGroup', 
               'Set-AzFirewallPolicyRuleCollectionGroup', 
               'Get-AzFirewallPolicyRuleCollectionGroup', 
               'Remove-AzFirewallPolicyRuleCollectionGroup', 
               'New-AzFirewallPolicy', 'Get-AzFirewallPolicy', 
               'Set-AzFirewallPolicy', 'Remove-AzFirewallPolicy', 
               'New-AzFirewallPolicyIntrusionDetection', 
               'New-AzFirewallPolicyIntrusionDetectionBypassTraffic', 
               'New-AzFirewallPolicyIntrusionDetectionSignatureOverride', 
               'New-AzFirewallPolicyThreatIntelWhitelist', 
               'New-AzFirewallPolicyDnsSetting', 'New-AzFirewallPolicySqlSetting', 
               'New-AzFirewallPolicyExplicitProxy', 'New-AzVirtualRouter', 
               'Remove-AzVirtualRouter', 'Get-AzVirtualRouter', 
               'Update-AzVirtualRouter', 'Add-AzVirtualRouterPeer', 
               'Update-AzVirtualRouterPeer', 'Remove-AzVirtualRouterPeer', 
               'Get-AzVirtualRouterPeer', 'Get-AzVirtualRouterPeerAdvertisedRoute', 
               'Get-AzVirtualRouterPeerLearnedRoute', 'New-AzRouteServer', 
               'Remove-AzRouteServer', 'Get-AzRouteServer', 'Update-AzRouteServer', 
               'Add-AzRouteServerPeer', 'Update-AzRouteServerPeer', 
               'Remove-AzRouteServerPeer', 'Get-AzRouteServerPeer', 
               'Get-AzRouteServerPeerAdvertisedRoute', 
               'Get-AzRouteServerPeerLearnedRoute', 'New-AzIpGroup', 
               'Remove-AzIpGroup', 'Get-AzIpGroup', 'Set-AzIpGroup', 
               'New-AzIpConfigurationBgpPeeringAddressObject', 
               'New-AzIpAllocation', 'Get-AzIpAllocation', 'Remove-AzIpAllocation', 
               'Set-AzIpAllocation', 'New-AzSecurityPartnerProvider', 
               'Remove-AzSecurityPartnerProvider', 'Get-AzSecurityPartnerProvider', 
               'Set-AzSecurityPartnerProvider', 'Reset-AzHubRouter', 
               'New-AzVHubRoute', 'New-AzStaticRoute', 'New-AzRoutingConfiguration', 
               'New-AzVHubRouteTable', 'Get-AzVHubRouteTable', 
               'Update-AzVHubRouteTable', 'Remove-AzVHubRouteTable', 
               'Get-AzNetworkVirtualAppliance', 'New-AzNetworkVirtualAppliance', 
               'Remove-AzNetworkVirtualAppliance', 
               'Update-AzNetworkVirtualAppliance', 
               'Get-AzNetworkVirtualApplianceConnection', 
               'Get-AzVirtualApplianceSite', 'New-AzVirtualApplianceSite', 
               'Remove-AzVirtualApplianceSite', 'Update-AzVirtualApplianceSite', 
               'New-AzOffice365PolicyProperty', 'Get-AzNetworkVirtualApplianceSku', 
               'New-AzVirtualApplianceAdditionalNicProperty', 
               'New-AzVirtualApplianceSkuProperty', 'New-AzCustomIpPrefix', 
               'Update-AzCustomIpPrefix', 'Get-AzCustomIpPrefix', 
               'Remove-AzCustomIpPrefix', 'New-AzExpressRoutePortLOA', 
               'New-AzO365PolicyProperty', 'Get-AzVirtualNetworkGatewayNatRule', 
               'New-AzVirtualNetworkGatewayNatRule', 
               'Update-AzVirtualNetworkGatewayNatRule', 
               'Remove-AzVirtualNetworkGatewayNatRule', 
               'New-AzVirtualNetworkGatewayPolicyGroup', 
               'New-AzVirtualNetworkGatewayPolicyGroupMember', 
               'New-AzVpnClientConnectionConfiguration', 
               'Get-AzVirtualHubBgpConnection', 'New-AzVirtualHubBgpConnection', 
               'Remove-AzVirtualHubBgpConnection', 
               'Update-AzVirtualHubBgpConnection', 
               'New-AzPrivateEndpointIpConfiguration', 
               'Get-AzApplicationGatewayListener', 
               'New-AzApplicationGatewayListener', 
               'Add-AzApplicationGatewayListener', 
               'Set-AzApplicationGatewayListener', 
               'Remove-AzApplicationGatewayListener', 
               'Get-AzApplicationGatewayBackendSetting', 
               'New-AzApplicationGatewayBackendSetting', 
               'Add-AzApplicationGatewayBackendSetting', 
               'Set-AzApplicationGatewayBackendSetting', 
               'Remove-AzApplicationGatewayBackendSetting', 
               'Get-AzApplicationGatewayRoutingRule', 
               'New-AzApplicationGatewayRoutingRule', 
               'Add-AzApplicationGatewayRoutingRule', 
               'Set-AzApplicationGatewayRoutingRule', 
               'Remove-AzApplicationGatewayRoutingRule', 'Get-AzNetworkManager', 
               'New-AzNetworkManager', 'Remove-AzNetworkManager', 
               'Set-AzNetworkManager', 'Get-AzNetworkManagerGroup', 
               'New-AzNetworkManagerGroup', 'Remove-AzNetworkManagerGroup', 
               'Set-AzNetworkManagerGroup', 
               'Get-AzNetworkManagerConnectivityConfiguration', 
               'New-AzNetworkManagerConnectivityConfiguration', 
               'Remove-AzNetworkManagerConnectivityConfiguration', 
               'Set-AzNetworkManagerConnectivityConfiguration', 
               'Get-AzNetworkManagerSecurityAdminConfiguration', 
               'New-AzNetworkManagerSecurityAdminConfiguration', 
               'Remove-AzNetworkManagerSecurityAdminConfiguration', 
               'Set-AzNetworkManagerSecurityAdminConfiguration', 
               'Get-AzNetworkManagerSecurityAdminRuleCollection', 
               'New-AzNetworkManagerSecurityAdminRuleCollection', 
               'Remove-AzNetworkManagerSecurityAdminRuleCollection', 
               'Set-AzNetworkManagerSecurityAdminRuleCollection', 
               'Get-AzNetworkManagerSecurityAdminRule', 
               'New-AzNetworkManagerSecurityAdminRule', 
               'Remove-AzNetworkManagerSecurityAdminRule', 
               'Set-AzNetworkManagerSecurityAdminRule', 
               'Get-AzNetworkManagerActiveConnectivityConfiguration', 
               'Get-AzNetworkManagerActiveSecurityAdminRule', 
               'Get-AzNetworkManagerEffectiveConnectivityConfiguration', 
               'Get-AzNetworkManagerEffectiveSecurityAdminRule', 
               'Deploy-AzNetworkManagerCommit', 
               'Get-AzNetworkManagerDeploymentStatus', 
               'New-AzNetworkManagerAddressPrefixItem', 
               'New-AzNetworkManagerScope', 
               'New-AzNetworkManagerSecurityGroupItem', 'New-AzNetworkManagerHub', 
               'New-AzNetworkManagerConnectivityGroupItem', 
               'New-AzNetworkManagerStaticMember', 
               'Get-AzNetworkManagerStaticMember', 
               'Remove-AzNetworkManagerStaticMember', 
               'New-AzNetworkManagerSubscriptionConnection', 
               'Get-AzNetworkManagerSubscriptionConnection', 
               'Remove-AzNetworkManagerSubscriptionConnection', 
               'Set-AzNetworkManagerSubscriptionConnection', 
               'New-AzNetworkManagerScopeConnection', 
               'Get-AzNetworkManagerScopeConnection', 
               'Remove-AzNetworkManagerScopeConnection', 
               'Set-AzNetworkManagerScopeConnection', 
               'New-AzNetworkManagerManagementGroupConnection', 
               'Get-AzNetworkManagerManagementGroupConnection', 
               'Remove-AzNetworkManagerManagementGroupConnection', 
               'Set-AzNetworkManagerManagementGroupConnection', 
               'Get-AzFirewallLearnedIpPrefix', 'New-AzFirewallPolicySnat', 
               'New-AzGatewayCustomBgpIpConfigurationObject'

# Variables to export from this module
# VariablesToExport = @()

# Aliases to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no aliases to export.
AliasesToExport = 'List-AzApplicationGatewayAvailableWafRuleSets', 
               'List-AzApplicationGatewayAvailableSslOptions', 
               'List-AzApplicationGatewaySslPredefinedPolicy', 
               'List-AzApplicationGatewayAvailableServerVariableAndHeader', 
               'Add-AzApplicationGatewayBackendHttpSettings', 
               'Get-AzApplicationGatewayBackendHttpSettings', 
               'New-AzApplicationGatewayBackendHttpSettings', 
               'Remove-AzApplicationGatewayBackendHttpSettings', 
               'Set-AzApplicationGatewayBackendHttpSettings', 
               'Get-AzExpressRouteCircuitStats', 
               'Get-AzApplicationGatewayAvailableWafRuleSets', 
               'Get-AzApplicationGatewayAvailableSslOptions', 
               'Get-AzInterfaceEndpoint', 
               'New-AzFirewallThreatIntelWhitelistObject'

# DSC resources to export from this module
# DscResourcesToExport = @()

# List of all modules packaged with this module
# ModuleList = @()

# List of all files packaged with this module
# FileList = @()

# Private data to pass to the module specified in RootModule/ModuleToProcess. This may also contain a PSData hashtable with additional module metadata used by PowerShell.
PrivateData = @{

    PSData = @{

        # Tags applied to this module. These help with module discovery in online galleries.
        Tags = 'Azure','ResourceManager','ARM','Network','VirtualNetwork'

        # A URL to the license for this module.
        LicenseUri = 'https://aka.ms/azps-license'

        # A URL to the main website for this project.
        ProjectUri = 'https://github.com/Azure/azure-powershell'

        # A URL to an icon representing this module.
        # IconUri = ''

        # ReleaseNotes of this module
        ReleaseNotes = '* Added new cmdlets to get Connection child resource of Network Virtual Appliance.
    -''Get-AzNetworkVirtualApplianceConnection''
* Updated cmdlets to return connections in Network Virtual Appliance
    -''Network Virtual Appliance''
* Allowed not to provide ''Rules'' in ''PSApplicationGatewayFirewallPolicyManagedRuleGroupOverride'', which would return an empty ''RuleID'' to be passed to NRP.
* Added optional parameter ''AdminState'' to Express Route Virtual Network Gateway
* Fixed bug that caused ''Remove-AzApplicationGatewayAutoscaleConfiguration'' to always fails
* Added read-only property ''DefaultPredefinedSslPolicy'' in PSApplicationGateway
* Updated cmdlet to added optional parameter ''DomainNameLabelScope'' to Public Ip Address
    - ''New-AzPublicIpAddress''
* Fixed bug where HubRoutingPreference didn''t show up when running ''Get-AzRouteServer''
* Updated ''New-AzVirtualNetworkGateway'' to remove validation for ''ExtendedLocation'' parameter'

        # Prerelease string of this module
        # Prerelease = ''

        # Flag to indicate whether the module requires explicit user acceptance for install/update/save
        # RequireLicenseAcceptance = $false

        # External dependent modules of this module
        # ExternalModuleDependencies = @()

    } # End of PSData hashtable

 } # End of PrivateData hashtable

# HelpInfo URI of this module
# HelpInfoURI = ''

# Default prefix for commands exported from this module. Override the default prefix using Import-Module -Prefix.
# DefaultCommandPrefix = ''

}


# SIG # Begin signature block
# MIIn0QYJKoZIhvcNAQcCoIInwjCCJ74CAQExDzANBglghkgBZQMEAgEFADB5Bgor
# BgEEAYI3AgEEoGswaTA0BgorBgEEAYI3AgEeMCYCAwEAAAQQH8w7YFlLCE63JNLG
# KX7zUQIBAAIBAAIBAAIBAAIBADAxMA0GCWCGSAFlAwQCAQUABCB+1jPrDbKG+7aV
# f+/LhK0v8gzeoLy/N2g9uy9F0tiHyaCCDYUwggYDMIID66ADAgECAhMzAAADTU6R
# phoosHiPAAAAAANNMA0GCSqGSIb3DQEBCwUAMH4xCzAJBgNVBAYTAlVTMRMwEQYD
# VQQIEwpXYXNoaW5ndG9uMRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVNaWNy
# b3NvZnQgQ29ycG9yYXRpb24xKDAmBgNVBAMTH01pY3Jvc29mdCBDb2RlIFNpZ25p
# bmcgUENBIDIwMTEwHhcNMjMwMzE2MTg0MzI4WhcNMjQwMzE0MTg0MzI4WjB0MQsw
# CQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMHUmVkbW9u
# ZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMR4wHAYDVQQDExVNaWNy
# b3NvZnQgQ29ycG9yYXRpb24wggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIB
# AQDUKPcKGVa6cboGQU03ONbUKyl4WpH6Q2Xo9cP3RhXTOa6C6THltd2RfnjlUQG+
# Mwoy93iGmGKEMF/jyO2XdiwMP427j90C/PMY/d5vY31sx+udtbif7GCJ7jJ1vLzd
# j28zV4r0FGG6yEv+tUNelTIsFmmSb0FUiJtU4r5sfCThvg8dI/F9Hh6xMZoVti+k
# bVla+hlG8bf4s00VTw4uAZhjGTFCYFRytKJ3/mteg2qnwvHDOgV7QSdV5dWdd0+x
# zcuG0qgd3oCCAjH8ZmjmowkHUe4dUmbcZfXsgWlOfc6DG7JS+DeJak1DvabamYqH
# g1AUeZ0+skpkwrKwXTFwBRltAgMBAAGjggGCMIIBfjAfBgNVHSUEGDAWBgorBgEE
# AYI3TAgBBggrBgEFBQcDAzAdBgNVHQ4EFgQUId2Img2Sp05U6XI04jli2KohL+8w
# VAYDVR0RBE0wS6RJMEcxLTArBgNVBAsTJE1pY3Jvc29mdCBJcmVsYW5kIE9wZXJh
# dGlvbnMgTGltaXRlZDEWMBQGA1UEBRMNMjMwMDEyKzUwMDUxNzAfBgNVHSMEGDAW
# gBRIbmTlUAXTgqoXNzcitW2oynUClTBUBgNVHR8ETTBLMEmgR6BFhkNodHRwOi8v
# d3d3Lm1pY3Jvc29mdC5jb20vcGtpb3BzL2NybC9NaWNDb2RTaWdQQ0EyMDExXzIw
# MTEtMDctMDguY3JsMGEGCCsGAQUFBwEBBFUwUzBRBggrBgEFBQcwAoZFaHR0cDov
# L3d3dy5taWNyb3NvZnQuY29tL3BraW9wcy9jZXJ0cy9NaWNDb2RTaWdQQ0EyMDEx
# XzIwMTEtMDctMDguY3J0MAwGA1UdEwEB/wQCMAAwDQYJKoZIhvcNAQELBQADggIB
# ACMET8WuzLrDwexuTUZe9v2xrW8WGUPRQVmyJ1b/BzKYBZ5aU4Qvh5LzZe9jOExD
# YUlKb/Y73lqIIfUcEO/6W3b+7t1P9m9M1xPrZv5cfnSCguooPDq4rQe/iCdNDwHT
# 6XYW6yetxTJMOo4tUDbSS0YiZr7Mab2wkjgNFa0jRFheS9daTS1oJ/z5bNlGinxq
# 2v8azSP/GcH/t8eTrHQfcax3WbPELoGHIbryrSUaOCphsnCNUqUN5FbEMlat5MuY
# 94rGMJnq1IEd6S8ngK6C8E9SWpGEO3NDa0NlAViorpGfI0NYIbdynyOB846aWAjN
# fgThIcdzdWFvAl/6ktWXLETn8u/lYQyWGmul3yz+w06puIPD9p4KPiWBkCesKDHv
# XLrT3BbLZ8dKqSOV8DtzLFAfc9qAsNiG8EoathluJBsbyFbpebadKlErFidAX8KE
# usk8htHqiSkNxydamL/tKfx3V/vDAoQE59ysv4r3pE+zdyfMairvkFNNw7cPn1kH
# Gcww9dFSY2QwAxhMzmoM0G+M+YvBnBu5wjfxNrMRilRbxM6Cj9hKFh0YTwba6M7z
# ntHHpX3d+nabjFm/TnMRROOgIXJzYbzKKaO2g1kWeyG2QtvIR147zlrbQD4X10Ab
# rRg9CpwW7xYxywezj+iNAc+QmFzR94dzJkEPUSCJPsTFMIIHejCCBWKgAwIBAgIK
# YQ6Q0gAAAAAAAzANBgkqhkiG9w0BAQsFADCBiDELMAkGA1UEBhMCVVMxEzARBgNV
# BAgTCldhc2hpbmd0b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1pY3Jv
# c29mdCBDb3Jwb3JhdGlvbjEyMDAGA1UEAxMpTWljcm9zb2Z0IFJvb3QgQ2VydGlm
# aWNhdGUgQXV0aG9yaXR5IDIwMTEwHhcNMTEwNzA4MjA1OTA5WhcNMjYwNzA4MjEw
# OTA5WjB+MQswCQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UE
# BxMHUmVkbW9uZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMSgwJgYD
# VQQDEx9NaWNyb3NvZnQgQ29kZSBTaWduaW5nIFBDQSAyMDExMIICIjANBgkqhkiG
# 9w0BAQEFAAOCAg8AMIICCgKCAgEAq/D6chAcLq3YbqqCEE00uvK2WCGfQhsqa+la
# UKq4BjgaBEm6f8MMHt03a8YS2AvwOMKZBrDIOdUBFDFC04kNeWSHfpRgJGyvnkmc
# 6Whe0t+bU7IKLMOv2akrrnoJr9eWWcpgGgXpZnboMlImEi/nqwhQz7NEt13YxC4D
# dato88tt8zpcoRb0RrrgOGSsbmQ1eKagYw8t00CT+OPeBw3VXHmlSSnnDb6gE3e+
# lD3v++MrWhAfTVYoonpy4BI6t0le2O3tQ5GD2Xuye4Yb2T6xjF3oiU+EGvKhL1nk
# kDstrjNYxbc+/jLTswM9sbKvkjh+0p2ALPVOVpEhNSXDOW5kf1O6nA+tGSOEy/S6
# A4aN91/w0FK/jJSHvMAhdCVfGCi2zCcoOCWYOUo2z3yxkq4cI6epZuxhH2rhKEmd
# X4jiJV3TIUs+UsS1Vz8kA/DRelsv1SPjcF0PUUZ3s/gA4bysAoJf28AVs70b1FVL
# 5zmhD+kjSbwYuER8ReTBw3J64HLnJN+/RpnF78IcV9uDjexNSTCnq47f7Fufr/zd
# sGbiwZeBe+3W7UvnSSmnEyimp31ngOaKYnhfsi+E11ecXL93KCjx7W3DKI8sj0A3
# T8HhhUSJxAlMxdSlQy90lfdu+HggWCwTXWCVmj5PM4TasIgX3p5O9JawvEagbJjS
# 4NaIjAsCAwEAAaOCAe0wggHpMBAGCSsGAQQBgjcVAQQDAgEAMB0GA1UdDgQWBBRI
# bmTlUAXTgqoXNzcitW2oynUClTAZBgkrBgEEAYI3FAIEDB4KAFMAdQBiAEMAQTAL
# BgNVHQ8EBAMCAYYwDwYDVR0TAQH/BAUwAwEB/zAfBgNVHSMEGDAWgBRyLToCMZBD
# uRQFTuHqp8cx0SOJNDBaBgNVHR8EUzBRME+gTaBLhklodHRwOi8vY3JsLm1pY3Jv
# c29mdC5jb20vcGtpL2NybC9wcm9kdWN0cy9NaWNSb29DZXJBdXQyMDExXzIwMTFf
# MDNfMjIuY3JsMF4GCCsGAQUFBwEBBFIwUDBOBggrBgEFBQcwAoZCaHR0cDovL3d3
# dy5taWNyb3NvZnQuY29tL3BraS9jZXJ0cy9NaWNSb29DZXJBdXQyMDExXzIwMTFf
# MDNfMjIuY3J0MIGfBgNVHSAEgZcwgZQwgZEGCSsGAQQBgjcuAzCBgzA/BggrBgEF
# BQcCARYzaHR0cDovL3d3dy5taWNyb3NvZnQuY29tL3BraW9wcy9kb2NzL3ByaW1h
# cnljcHMuaHRtMEAGCCsGAQUFBwICMDQeMiAdAEwAZQBnAGEAbABfAHAAbwBsAGkA
# YwB5AF8AcwB0AGEAdABlAG0AZQBuAHQALiAdMA0GCSqGSIb3DQEBCwUAA4ICAQBn
# 8oalmOBUeRou09h0ZyKbC5YR4WOSmUKWfdJ5DJDBZV8uLD74w3LRbYP+vj/oCso7
# v0epo/Np22O/IjWll11lhJB9i0ZQVdgMknzSGksc8zxCi1LQsP1r4z4HLimb5j0b
# pdS1HXeUOeLpZMlEPXh6I/MTfaaQdION9MsmAkYqwooQu6SpBQyb7Wj6aC6VoCo/
# KmtYSWMfCWluWpiW5IP0wI/zRive/DvQvTXvbiWu5a8n7dDd8w6vmSiXmE0OPQvy
# CInWH8MyGOLwxS3OW560STkKxgrCxq2u5bLZ2xWIUUVYODJxJxp/sfQn+N4sOiBp
# mLJZiWhub6e3dMNABQamASooPoI/E01mC8CzTfXhj38cbxV9Rad25UAqZaPDXVJi
# hsMdYzaXht/a8/jyFqGaJ+HNpZfQ7l1jQeNbB5yHPgZ3BtEGsXUfFL5hYbXw3MYb
# BL7fQccOKO7eZS/sl/ahXJbYANahRr1Z85elCUtIEJmAH9AAKcWxm6U/RXceNcbS
# oqKfenoi+kiVH6v7RyOA9Z74v2u3S5fi63V4GuzqN5l5GEv/1rMjaHXmr/r8i+sL
# gOppO6/8MO0ETI7f33VtY5E90Z1WTk+/gFcioXgRMiF670EKsT/7qMykXcGhiJtX
# cVZOSEXAQsmbdlsKgEhr/Xmfwb1tbWrJUnMTDXpQzTGCGaIwghmeAgEBMIGVMH4x
# CzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpXYXNoaW5ndG9uMRAwDgYDVQQHEwdSZWRt
# b25kMR4wHAYDVQQKExVNaWNyb3NvZnQgQ29ycG9yYXRpb24xKDAmBgNVBAMTH01p
# Y3Jvc29mdCBDb2RlIFNpZ25pbmcgUENBIDIwMTECEzMAAANNTpGmGiiweI8AAAAA
# A00wDQYJYIZIAWUDBAIBBQCgga4wGQYJKoZIhvcNAQkDMQwGCisGAQQBgjcCAQQw
# HAYKKwYBBAGCNwIBCzEOMAwGCisGAQQBgjcCARUwLwYJKoZIhvcNAQkEMSIEIIao
# XwWyoqDFavVzIthKNVepYN4+ZKPfTE9rOj9s4vJBMEIGCisGAQQBgjcCAQwxNDAy
# oBSAEgBNAGkAYwByAG8AcwBvAGYAdKEagBhodHRwOi8vd3d3Lm1pY3Jvc29mdC5j
# b20wDQYJKoZIhvcNAQEBBQAEggEARoCWwzUBybMwqj+Z3jKYOcNTH5SNO4SBE+u/
# 9/0oGbLCsT36eFyAEcZgXnSs1KHp8OBa9Blqxnp1NzqWsXlkQEeCyTVeMkZUT7d0
# C07cjqN6TZh9OMElgIS7kWwJ2r0JmpspYtCa+Vf77az7joAHL0av2fjxmBWJOI+s
# TXZwSUKuFs30+vHKm2RQyupZyaUlVodEAFUdscp2zohhIEumBahKAuPnpFA2gp9H
# +79fqEBEeIC/yvFmfJNS7a/xV/iRIDDQZZDhqqy0TjgMK3gUcOrF6/hhTslVLO49
# cQ3I9gE0JqIfiQja3xsVGQfLA8R04GqGdtkqRwnButb93JhQkKGCFywwghcoBgor
# BgEEAYI3AwMBMYIXGDCCFxQGCSqGSIb3DQEHAqCCFwUwghcBAgEDMQ8wDQYJYIZI
# AWUDBAIBBQAwggFZBgsqhkiG9w0BCRABBKCCAUgEggFEMIIBQAIBAQYKKwYBBAGE
# WQoDATAxMA0GCWCGSAFlAwQCAQUABCAn830Szp9XzHOuetyBPwy7W3iwhBQWN2Q7
# zN/ByFZn1AIGZJND4YD1GBMyMDIzMDYyOTA4NTIxNS4zNTdaMASAAgH0oIHYpIHV
# MIHSMQswCQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMH
# UmVkbW9uZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMS0wKwYDVQQL
# EyRNaWNyb3NvZnQgSXJlbGFuZCBPcGVyYXRpb25zIExpbWl0ZWQxJjAkBgNVBAsT
# HVRoYWxlcyBUU1MgRVNOOkZDNDEtNEJENC1EMjIwMSUwIwYDVQQDExxNaWNyb3Nv
# ZnQgVGltZS1TdGFtcCBTZXJ2aWNloIIRezCCBycwggUPoAMCAQICEzMAAAG59gAN
# ZVRPvAMAAQAAAbkwDQYJKoZIhvcNAQELBQAwfDELMAkGA1UEBhMCVVMxEzARBgNV
# BAgTCldhc2hpbmd0b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1pY3Jv
# c29mdCBDb3Jwb3JhdGlvbjEmMCQGA1UEAxMdTWljcm9zb2Z0IFRpbWUtU3RhbXAg
# UENBIDIwMTAwHhcNMjIwOTIwMjAyMjE3WhcNMjMxMjE0MjAyMjE3WjCB0jELMAkG
# A1UEBhMCVVMxEzARBgNVBAgTCldhc2hpbmd0b24xEDAOBgNVBAcTB1JlZG1vbmQx
# HjAcBgNVBAoTFU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEtMCsGA1UECxMkTWljcm9z
# b2Z0IElyZWxhbmQgT3BlcmF0aW9ucyBMaW1pdGVkMSYwJAYDVQQLEx1UaGFsZXMg
# VFNTIEVTTjpGQzQxLTRCRDQtRDIyMDElMCMGA1UEAxMcTWljcm9zb2Z0IFRpbWUt
# U3RhbXAgU2VydmljZTCCAiIwDQYJKoZIhvcNAQEBBQADggIPADCCAgoCggIBAONJ
# Pslh9RbHyQECbUIINxMF5uQkyN07VIShITXubLpWnANgBCLvCcJl7o/2HHORnsRc
# mSINJ/qclAmLIrOjnYnrbocAnixiMEXC+a1sZ84qxYWtEVY7VYw0LCczY+86U/8s
# hgxqsaezKpWriPOcpV1Sh8SsOxf30yO7jvld/IBA3T6lHM2pT/HRjWk/r9uyx0Q4
# atx0mkLVYS9y55/oTlKLE00h792S+maadAdy3VgTweiwoEOXD785wv3h+fwH/wTQ
# tC9lhAxhMO4p+OP9888Wxkbl6BqRWXud54RTzqp2Vr+yen1Q1A6umyMB7Xq0snIY
# G5B1Acc4UgJlPQ/ZiMkqgxQNFCWQvz0G9oLgSPD8Ky0AkX22PcDOboPuNT4RceWP
# X0UVZUsX9IUgs7QF41HiQSwEeOOHGyrfQdmSslATrbmH/18M5QrsTM5JINjct9G4
# 2xqN8VF9Z8WOiGMjNbvlpcEmmysYl5QyhrEDoFnQTU7bFrD3JX0fIfu1sbLWeBqX
# wbp4Z8yACTtphK2VbzOvi4vc0RCmRNzvYQQ2PjZ7NaTXE4Gu3vggAJ+rtzUTAfJo
# tvOSqcMgNwLZa1Y+ET/lb0VyjrYwFuHtg0QWyQjP5350LTpv086pyVUh4A3w/Os5
# hTGFZgFe5bCyMnpY09M0yPdHaQ/56oYUsSIcyKyVAgMBAAGjggFJMIIBRTAdBgNV
# HQ4EFgQUt7A4cdtYQ5oJjE1ZqrSonp41RFIwHwYDVR0jBBgwFoAUn6cVXQBeYl2D
# 9OXSZacbUzUZ6XIwXwYDVR0fBFgwVjBUoFKgUIZOaHR0cDovL3d3dy5taWNyb3Nv
# ZnQuY29tL3BraW9wcy9jcmwvTWljcm9zb2Z0JTIwVGltZS1TdGFtcCUyMFBDQSUy
# MDIwMTAoMSkuY3JsMGwGCCsGAQUFBwEBBGAwXjBcBggrBgEFBQcwAoZQaHR0cDov
# L3d3dy5taWNyb3NvZnQuY29tL3BraW9wcy9jZXJ0cy9NaWNyb3NvZnQlMjBUaW1l
# LVN0YW1wJTIwUENBJTIwMjAxMCgxKS5jcnQwDAYDVR0TAQH/BAIwADAWBgNVHSUB
# Af8EDDAKBggrBgEFBQcDCDAOBgNVHQ8BAf8EBAMCB4AwDQYJKoZIhvcNAQELBQAD
# ggIBAM3cZ7NFUHRMsLKzjl7rJPIkv7oJ+s9kkut0hZif9WSt60SzYGULp1zmdPqc
# +w8eHTkhqX0GKCp2TTqSzBXBhwHOm8+p6hUxNlDewGMZUos952aTXblAT3OKBnfV
# BLQyUavrSjuJGZAW30cNY3rjVDUlGD+VygQHySaDaviJQbK6/6fQvUUFoqIk3ldG
# fjnAtnebsVlqh6WWamVc5AZdpWR1jSzN/oxKYqc1BG4SxxlPtcfrAdBz/cU4bxVX
# qAAf02NZscvJNpRnOALf5kVo2HupJXCsk9TzP5PNW2sTS3TmwhIQmPxr0E0UqOoj
# UrBJUOhbITAxcnSa/IMluL1HXRtLQZI+xs2eRtuPOUsKUW71/1YeqsYCLHLvu82c
# eDVQQvP7GHEEkp2kEjiofbjYErBo2iCEaxxeX4Z9HvAgA4MsQkbn6e4EFQf13sP+
# Kn3XgMIvJbqLJeFcQja+SUeOXu5cfkxe0GzTNojdyIwzaHlhOflVRZNrxee3B+yZ
# wd3JHDIvv71uSI/SIzzt9cU2GyHQVqxBSrRtKW6W8Vw7zpVvoVsIv3ljxg+7NiGS
# lXX1s7zbBNDMUj9OnzOlHK/3mrOU8YEuRf6RwakW5UCeGamy5MiKu2YuyKiGBCv4
# OGhPstNe7ALkEOh8BX12t4ntuYu+gw9L6yCPY0jWYaQtzAP9MIIHcTCCBVmgAwIB
# AgITMwAAABXF52ueAptJmQAAAAAAFTANBgkqhkiG9w0BAQsFADCBiDELMAkGA1UE
# BhMCVVMxEzARBgNVBAgTCldhc2hpbmd0b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAc
# BgNVBAoTFU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEyMDAGA1UEAxMpTWljcm9zb2Z0
# IFJvb3QgQ2VydGlmaWNhdGUgQXV0aG9yaXR5IDIwMTAwHhcNMjEwOTMwMTgyMjI1
# WhcNMzAwOTMwMTgzMjI1WjB8MQswCQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGlu
# Z3RvbjEQMA4GA1UEBxMHUmVkbW9uZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBv
# cmF0aW9uMSYwJAYDVQQDEx1NaWNyb3NvZnQgVGltZS1TdGFtcCBQQ0EgMjAxMDCC
# AiIwDQYJKoZIhvcNAQEBBQADggIPADCCAgoCggIBAOThpkzntHIhC3miy9ckeb0O
# 1YLT/e6cBwfSqWxOdcjKNVf2AX9sSuDivbk+F2Az/1xPx2b3lVNxWuJ+Slr+uDZn
# hUYjDLWNE893MsAQGOhgfWpSg0S3po5GawcU88V29YZQ3MFEyHFcUTE3oAo4bo3t
# 1w/YJlN8OWECesSq/XJprx2rrPY2vjUmZNqYO7oaezOtgFt+jBAcnVL+tuhiJdxq
# D89d9P6OU8/W7IVWTe/dvI2k45GPsjksUZzpcGkNyjYtcI4xyDUoveO0hyTD4MmP
# frVUj9z6BVWYbWg7mka97aSueik3rMvrg0XnRm7KMtXAhjBcTyziYrLNueKNiOSW
# rAFKu75xqRdbZ2De+JKRHh09/SDPc31BmkZ1zcRfNN0Sidb9pSB9fvzZnkXftnIv
# 231fgLrbqn427DZM9ituqBJR6L8FA6PRc6ZNN3SUHDSCD/AQ8rdHGO2n6Jl8P0zb
# r17C89XYcz1DTsEzOUyOArxCaC4Q6oRRRuLRvWoYWmEBc8pnol7XKHYC4jMYcten
# IPDC+hIK12NvDMk2ZItboKaDIV1fMHSRlJTYuVD5C4lh8zYGNRiER9vcG9H9stQc
# xWv2XFJRXRLbJbqvUAV6bMURHXLvjflSxIUXk8A8FdsaN8cIFRg/eKtFtvUeh17a
# j54WcmnGrnu3tz5q4i6tAgMBAAGjggHdMIIB2TASBgkrBgEEAYI3FQEEBQIDAQAB
# MCMGCSsGAQQBgjcVAgQWBBQqp1L+ZMSavoKRPEY1Kc8Q/y8E7jAdBgNVHQ4EFgQU
# n6cVXQBeYl2D9OXSZacbUzUZ6XIwXAYDVR0gBFUwUzBRBgwrBgEEAYI3TIN9AQEw
# QTA/BggrBgEFBQcCARYzaHR0cDovL3d3dy5taWNyb3NvZnQuY29tL3BraW9wcy9E
# b2NzL1JlcG9zaXRvcnkuaHRtMBMGA1UdJQQMMAoGCCsGAQUFBwMIMBkGCSsGAQQB
# gjcUAgQMHgoAUwB1AGIAQwBBMAsGA1UdDwQEAwIBhjAPBgNVHRMBAf8EBTADAQH/
# MB8GA1UdIwQYMBaAFNX2VsuP6KJcYmjRPZSQW9fOmhjEMFYGA1UdHwRPME0wS6BJ
# oEeGRWh0dHA6Ly9jcmwubWljcm9zb2Z0LmNvbS9wa2kvY3JsL3Byb2R1Y3RzL01p
# Y1Jvb0NlckF1dF8yMDEwLTA2LTIzLmNybDBaBggrBgEFBQcBAQROMEwwSgYIKwYB
# BQUHMAKGPmh0dHA6Ly93d3cubWljcm9zb2Z0LmNvbS9wa2kvY2VydHMvTWljUm9v
# Q2VyQXV0XzIwMTAtMDYtMjMuY3J0MA0GCSqGSIb3DQEBCwUAA4ICAQCdVX38Kq3h
# LB9nATEkW+Geckv8qW/qXBS2Pk5HZHixBpOXPTEztTnXwnE2P9pkbHzQdTltuw8x
# 5MKP+2zRoZQYIu7pZmc6U03dmLq2HnjYNi6cqYJWAAOwBb6J6Gngugnue99qb74p
# y27YP0h1AdkY3m2CDPVtI1TkeFN1JFe53Z/zjj3G82jfZfakVqr3lbYoVSfQJL1A
# oL8ZthISEV09J+BAljis9/kpicO8F7BUhUKz/AyeixmJ5/ALaoHCgRlCGVJ1ijbC
# HcNhcy4sa3tuPywJeBTpkbKpW99Jo3QMvOyRgNI95ko+ZjtPu4b6MhrZlvSP9pEB
# 9s7GdP32THJvEKt1MMU0sHrYUP4KWN1APMdUbZ1jdEgssU5HLcEUBHG/ZPkkvnNt
# yo4JvbMBV0lUZNlz138eW0QBjloZkWsNn6Qo3GcZKCS6OEuabvshVGtqRRFHqfG3
# rsjoiV5PndLQTHa1V1QJsWkBRH58oWFsc/4Ku+xBZj1p/cvBQUl+fpO+y/g75LcV
# v7TOPqUxUYS8vwLBgqJ7Fx0ViY1w/ue10CgaiQuPNtq6TPmb/wrpNPgkNWcr4A24
# 5oyZ1uEi6vAnQj0llOZ0dFtq0Z4+7X6gMTN9vMvpe784cETRkPHIqzqKOghif9lw
# Y1NNje6CbaUFEMFxBmoQtB1VM1izoXBm8qGCAtcwggJAAgEBMIIBAKGB2KSB1TCB
# 0jELMAkGA1UEBhMCVVMxEzARBgNVBAgTCldhc2hpbmd0b24xEDAOBgNVBAcTB1Jl
# ZG1vbmQxHjAcBgNVBAoTFU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEtMCsGA1UECxMk
# TWljcm9zb2Z0IElyZWxhbmQgT3BlcmF0aW9ucyBMaW1pdGVkMSYwJAYDVQQLEx1U
# aGFsZXMgVFNTIEVTTjpGQzQxLTRCRDQtRDIyMDElMCMGA1UEAxMcTWljcm9zb2Z0
# IFRpbWUtU3RhbXAgU2VydmljZaIjCgEBMAcGBSsOAwIaAxUAx2IeGHhk58MQkzzS
# WknGcLjfgTqggYMwgYCkfjB8MQswCQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGlu
# Z3RvbjEQMA4GA1UEBxMHUmVkbW9uZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBv
# cmF0aW9uMSYwJAYDVQQDEx1NaWNyb3NvZnQgVGltZS1TdGFtcCBQQ0EgMjAxMDAN
# BgkqhkiG9w0BAQUFAAIFAOhHpWIwIhgPMjAyMzA2MjkxNDM4MjZaGA8yMDIzMDYz
# MDE0MzgyNlowdzA9BgorBgEEAYRZCgQBMS8wLTAKAgUA6EelYgIBADAKAgEAAgIB
# 3gIB/zAHAgEAAgIRMzAKAgUA6Ej24gIBADA2BgorBgEEAYRZCgQCMSgwJjAMBgor
# BgEEAYRZCgMCoAowCAIBAAIDB6EgoQowCAIBAAIDAYagMA0GCSqGSIb3DQEBBQUA
# A4GBAJffenrs6dS4UKvHpt96Eo93p/lZBTpZ1pfjMbqRiQSPw8fXYu9QvBfZx5oo
# LAcYAJPB5eCiAUezLhFyg0j/H286555R/u7+5rA8JBrXu9AHekQX3vL0hcO5XTXI
# C5y2v16LH3o1arXw+B7Kd653Ce0JE31/Q5WN56DWUiCn8onVMYIEDTCCBAkCAQEw
# gZMwfDELMAkGA1UEBhMCVVMxEzARBgNVBAgTCldhc2hpbmd0b24xEDAOBgNVBAcT
# B1JlZG1vbmQxHjAcBgNVBAoTFU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEmMCQGA1UE
# AxMdTWljcm9zb2Z0IFRpbWUtU3RhbXAgUENBIDIwMTACEzMAAAG59gANZVRPvAMA
# AQAAAbkwDQYJYIZIAWUDBAIBBQCgggFKMBoGCSqGSIb3DQEJAzENBgsqhkiG9w0B
# CRABBDAvBgkqhkiG9w0BCQQxIgQgTlxClsUwtnG5I7C0pCoj3gOyD4ysbSIDPAD5
# wAGlSjgwgfoGCyqGSIb3DQEJEAIvMYHqMIHnMIHkMIG9BCBk60bO8W85uTAfJVEO
# 3vX2aLaQFcgcGpdwsOoi+foP9DCBmDCBgKR+MHwxCzAJBgNVBAYTAlVTMRMwEQYD
# VQQIEwpXYXNoaW5ndG9uMRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVNaWNy
# b3NvZnQgQ29ycG9yYXRpb24xJjAkBgNVBAMTHU1pY3Jvc29mdCBUaW1lLVN0YW1w
# IFBDQSAyMDEwAhMzAAABufYADWVUT7wDAAEAAAG5MCIEIOjHexiMUE17rQsvfTkB
# BOlnM6qX4pZpVzTMeCNLBzBtMA0GCSqGSIb3DQEBCwUABIICAEg92TtWalnpY8Pb
# YI/ZNwdMznxUt/4ZBZErHkIljrgpZqz942DRp9HC43LYS7m0ocXjXJ8VtwmfI8kT
# Bo2meqDkF1CmdL9U9FHd7J8+oWlvdrMGfl/zoX4hVSWBAj3SSiMoP0Np46NSyG72
# MCxvHewJnP1g2k7GZtsiHZj94Pq8tgdlopy78H1PJb3O4aiErrHENoF0G+8xNom7
# S155Y5jx1KxprjTomL1PG5RWPeQIlq72GzKP3Cl99ozSED3WOklQo8Od44HnP3fa
# l+NMjQoSUtlrIQXG4homeNcZd8wYeLM8dAZvhboM/K+vZzAKpsZxUTXSQRxavTNs
# 1goPRdj9MvR0onveH5EX2OM/WRfgS4V38YUvmiskd/Gc988901XvKWrn8ewHR2BG
# CPQi4GJWXtv548DqKXo/dlY7qmaBas40NYSSfoAclxcSFiINuXZezjBFvnSklYjN
# jlBh52bKD0Pw42TYfMZwmV5OLUpGFTEC1mcfPbdNBpLZV0a0pKPtuyZGt7VyC/dZ
# KP5Zxk/3diqTgdrX50h84CtRbmX1UUqDCtSDFh38ddoiiHslJ9b5951Bt1MFpUqK
# 1e0v/tzKBRusnFJtXy1hweSGdPlS5HxQiC56oAS36B8bv1f0ft4D40QeRocpolMN
# 8Nkqgz1mb1hV7HAhIjQ1usuPO8rE
# SIG # End signature block
